Skip to content

/v1/projects/{projectId}/flows (POST)

POST
/v1/projects/{projectId}/flows
curl --request POST \
--url https://service.v2.nairon.xyz/v1/projects/example/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "type": "simple", "flowSchema": "example", "agentProfileId": "example" }'
projectId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
Media typeapplication/json
object
name
required
string
>= 1 characters <= 200 characters
description
string
<= 5000 characters
type
string
default: simple
Allowed values: simple graph
flowSchema
required
agentProfileId
Any of:
string format: cuid
/^[cC][0-9a-z]{6,}$/

Default Response

Media typeapplication/json
object
id
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
projectId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
name
required
string
type
required
string
Allowed values: simple graph
description
required
Any of:
string
tier
required
string
Allowed values: standard pro
agentProfileId
required
Any of:
string format: cuid
/^[cC][0-9a-z]{6,}$/
createdAt
required
string
updatedAt
required
string
Example
{
"type": "simple",
"tier": "standard"
}